## olive 1.3

=== Makefile ===
DESTDIR = 
PREFIX  = /usr/local
BINDIR  = $(PREFIX)/bin
LIBDIR  = $(PREFIX)/share/olive
DOCDIR  = $(PREFIX)/share/doc/olive
PERL    = $(shell which perl)

# DO NOT EDIT BELOW THIS LINE

DEPS    = Config::YAML Curses::UI Date::Calc DBI DBD::SQLite \
	  LWP::UserAgent XML::Parser XML::Simple \
	  Log::Dispatch::File

MODULES = OliveEdit.pm OliveMisc.pm OliveStory.pm OliveXML.pm \
	  OliveFeed.pm OliveOpts.pm OliveWindow.pm OliveHTTP.pm \
	  OliveOPML.pm

.PHONY : olive install

olive :
	@echo -n Checking for dependancies... 
	@perl ./depchecks $(DEPS)
	@echo looks good.

install : olive
	@echo Prepping for install.
	@cp olive olive.tmp
	@perl -pi -e 's|^use lib "."|use lib "$(LIBDIR)"|' olive.tmp
	@perl -pi -e 's|"./docs"|"$(DOCDIR)"|' olive.tmp
	@perl -pi -e 's|^#!.+|#!$(PERL)|' olive.tmp
	@echo Creating install directories.
	@rm -rf $(DESTDIR)$(LIBDIR)
	@install -d $(DESTDIR)$(PREFIX) $(DESTDIR)$(BINDIR) $(DESTDIR)$(LIBDIR) $(DESTDIR)$(DOCDIR)
	@echo Installing Olive.
	@install -m 0755 olive.tmp $(DESTDIR)$(BINDIR)/olive
	@install -m 0644 $(MODULES) $(DESTDIR)$(LIBDIR)
	@install -m 0644 ./docs/*html ./docs/*css $(DESTDIR)$(DOCDIR)
	@echo Cleaning up.
	@rm olive.tmp
	@echo Done. Now run $(BINDIR)/olive to get started!

uninstall:
	@echo Uninstalling Olive.
	@rm $(BINDIR)/olive
	@rm -rf $(LIBDIR) $(DOCDIR)
	@echo Done.

=== debian/changelog ===
olive (1.3-4) unstable; urgency=low

  * debian/control:
    - New maintainer. (Closes: #574972)
    - Bump Standards-Version to 3.9.1 (no changes needed).
    - Add ${misc:Depends} to dependencies of binary package.
    - Add Vcs-* fields.
    - Remove Homepage: field, as the page doesn't exist anymore.
    - Add dependency on doc-base
  * Switch source format to 3.0 (quilt).
  * Comment out link in debian/watch.
  * debian/copyright:
    - Re-write in DEP-5 format.
    - Change Packaging licensing from GPL-1+ to GPL-2+.
  * debian/olive.doc-base: Added to register the provided documentation
    in doc-base

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Sat, 01 Jan 2011 20:40:39 +0300

olive (1.3-3) unstable; urgency=low

  * debian/control:
    - Update Homepage, thanks to Adrian Fita. (Closes: #441486)
    - Mention it in new Homepage: field.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Tue, 11 Sep 2007 12:53:20 +0200

olive (1.3-2) unstable; urgency=low

  * New Upload (Closes: #312819)
  * debian/copyright: update the license as the sources are licensed
    "like perl" and not just the Artistic License (thanks to Joerg Jaspert)
  * New Maintainer's address, update debian/ files consequently

 -- Arthur Loiret <arthur.loiret@gmail.com>  Tue,  7 Aug 2007 09:30:15 +0200

olive (1.3-1) unstable; urgency=low

  * Initial release (Closes: #312819)

 -- Arthur Loiret <freacky22527@free.fr>  Thu, 22 May 2007 18:41:32 +0200

=== debian/control ===
Source: olive
Section: net
Priority: extra
Maintainer: Bilal Akhtar <bilalakhtar@ubuntu.com>
Build-Depends: debhelper (>= 5),
               libclass-dbi-sqlite-perl,
               libconfig-yaml-perl,
               libcurses-ui-perl,
               libdate-calc-perl,
               libdbi-perl,
               liblog-dispatch-perl,
               libwww-perl,
               libxml-parser-perl,
               libxml-simple-perl
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/collab-maint/olive.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/olive.git

Package: olive
Architecture: all
Depends: doc-base,
         libclass-dbi-sqlite-perl,
         libconfig-yaml-perl,
         libcurses-ui-perl,
         libdate-calc-perl,
         libdbi-perl,
         liblog-dispatch-perl,
         libwww-perl,
         libxml-parser-perl,
         libxml-simple-perl,
         ${misc:Depends},
         ${perl:Depends}
Description: console RSS reader
 Olive is a console mode RSS newsreader. It provides a chronological
 rather than site-oriented view of news stories and tries to stay out of
 your way as much as possible.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PREFIX  = /usr
DESTDIR = $(CURDIR)/debian/olive
DOCDIR  = $(PREFIX)/share/doc/olive/html

configure:
	dh_testdir
	$(MAKE) olive
	touch configure-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

build:

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=$(PREFIX) DESTDIR=$(DESTDIR) DOCDIR=$(DOCDIR) install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installman debian/olive.1
	dh_perl
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
# http://mdxi.collapsar.net/hacks/olive/releases/olive-([0-9]+.*).tar.gz
# Upstream is non-existant. The above link is commented for historical reference.

## olive 20181223

=== debian/changelog ===
olive (20181223-1) unstable; urgency=medium

  * New upstream version.
  * debian/copyright: complete attribution. (Closes: #917300)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 26 Dec 2018 14:41:24 +0100

olive (20181130-1) unstable; urgency=medium

  * Initial release. (Closes: #917170)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 21 Dec 2018 12:02:12 +0100

=== debian/control ===
Source: olive
Section: video
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, libavfilter-dev, dh-exec, libqt5opengl5-dev
Standards-Version: 4.2.1
Homepage: https://www.olivevideoeditor.org/

Package: olive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg
Description: Professional open-source NLE video editor
 This is a free non-linear video editor.
